Автор Тема: Нет GUI окна авторизации polkit  (Прочитано 711 раз)

Оффлайн zhukovia

  • Завсегдатай
  • *
  • Сообщений: 23
Не могу понять чего не хватает. Стоит Altlinux (alt-p10-server-systemd) и xfce4. При попытке запустить pkexec не выскакивает окно авторизации (как это происходит, например на Ubuntu), а пароль запрашивается в терминале. Я понимаю что не хватает какого то пакета, но какого не пойму. На Ubuntu был policykit-1-gnome, но здесь его нет. Пробовал поставить polkit-gnome но ничего не изменилось. Подскажите как получить это окно?

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 664
Re: Нет GUI окна авторизации polkit
« Ответ #1 : 19.08.2021 08:25:31 »
Какого пакета не хватает? Этого?
$ apt-cache search agent | grep xfce
xfce-polkit - Simple PolicyKit authentication agent for Xfce

Оффлайн zhukovia

  • Завсегдатай
  • *
  • Сообщений: 23
Re: Нет GUI окна авторизации polkit
« Ответ #2 : 19.08.2021 08:40:44 »
Какого пакета не хватает? Этого?
$ apt-cache search agent | grep xfce
xfce-polkit - Simple PolicyKit authentication agent for Xfce
Вот я Лох печальный, не подумал что у xfce тоже можно поискать. Спасибо большое за подсказку.

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 4 062
  • antohami@
Re: Нет GUI окна авторизации polkit
« Ответ #3 : 19.08.2021 12:42:55 »
А можно было установить пакет xfce4-full.

Оффлайн zhukovia

  • Завсегдатай
  • *
  • Сообщений: 23
Re: Нет GUI окна авторизации polkit
« Ответ #4 : 19.08.2021 13:23:11 »
А можно было установить пакет xfce4-full.
Ну да.. Но мне показалось там много лишнего (плагинов, например).